## org.apache.axis.transport.java
Class JavaTransport

    java.lang.Object
      |
      +--org.apache.axis.client.Transport
            |
            +--org.apache.axis.transport.java.JavaTransport

public class JavaTransport
extends Transport

A Transport which will cause an invocation via "java"

Author:
  Doug Davis (dug@us.ibm.com)

Field Summary

Fields inherited from class org.apache.axis.client.Transport
`transportName, url`

Constructor Summary
`JavaTransport()`

Method Summary
`void` `setupMessageContextImpl(MessageContext mc, Call call, AxisEngine engine)` Set up any transport-specific derived properties in the message context.

Methods inherited from class org.apache.axis.client.Transport
`getTransportName, getUrl, processReturnedMessageContext, setTransportName, setupMessageContext, setUrl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaTransport

    public JavaTransport()

Method Detail

### setupMessageContextImpl

    public void setupMessageContextImpl(MessageContext mc,
                                        Call call,
                                        AxisEngine engine)

  Set up any transport-specific derived properties in the message context.

  Overrides:
    `setupMessageContextImpl` in class `Transport`
  Parameters:
    `mc` - the context to set up
    `call` - the Call object
    `engine` - the engine containing the registries

Copyright © 2003 Apache Web Services Project. All Rights Reserved.